For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Certificate

Creates a new Certificate. The full Certificate needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
201

Certificate successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the Certificate.

Example: cbee81a3-9389-57ba-bc50-393adcfca141
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Certificate.

Example: /certificates/cbee81a3-9389-57ba-bc50-393adcfca141
post/certificates
POST /certificates HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 483

{
  "metadata": {},
  "properties": {
    "name": "My Certificate",
    "certificate": "-----BEGIN CERTIFICATE-----\nMIIE5TCCAs2gAwIBAgIBATANBgkqhkiG9w0BAQsFADA2MQswCQYDVQQGEwJSTzEK\n-----END CERTIFICATE-----\n",
    "certificateChain": "-----BEGIN CERTIFICATE-----\nMIIDoTCCAokCFDrAUWffdxWJVz2Axl9lp/4xiUteMA0GCSqGSIb3DQEBCwUAMIGG\n-----END CERTIFICATE-----\n",
    "privateKey": "-----BEGIN RSA PRIVATE KEY-----\nMIIJKQIBAAKCAgEAzDehfqWBr+9q0pxwCDDRph7QSPiMbkDGaGKc+Fd2h3doT8Li\n-----END RSA PRIVATE KEY-----\n"
  }
}
{
  "id": "cbee81a3-9389-57ba-bc50-393adcfca141",
  "type": "certificate",
  "href": "/certificates/cbee81a3-9389-57ba-bc50-393adcfca141",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "Issue in progress.",
    "autoCertificate": "b471cd03-ef51-52c5-91a5-49195b0a04d4",
    "lastIssuedCertificate": "cbee81a3-9389-57ba-bc50-393adcfca141",
    "expired": false,
    "notBefore": "2021-12-31T23:59:59Z",
    "notAfter": "2022-12-31T23:59:59Z",
    "serialNumber": "33:00:00:04:5F:2B:0D:65:9D:71:72:3E:7D:00:00:00:00:04:5F",
    "commonName": "www.example.com",
    "subjectAlternativeNames": [
      "app.example.com"
    ]
  },
  "properties": {
    "name": "My Certificate",
    "certificate": "-----BEGIN CERTIFICATE-----\nMIIE5TCCAs2gAwIBAgIBATANBgkqhkiG9w0BAQsFADA2MQswCQYDVQQGEwJSTzEK\n-----END CERTIFICATE-----\n",
    "certificateChain": "-----BEGIN CERTIFICATE-----\nMIIDoTCCAokCFDrAUWffdxWJVz2Axl9lp/4xiUteMA0GCSqGSIb3DQEBCwUAMIGG\n-----END CERTIFICATE-----\n"
  }
}

Last updated

Was this helpful?